"""IEPS Schemas"""

from typing import Optional
from pydantic import BaseModel, ConfigDict, Field


class IepsResponse(BaseModel):
    """IEPS (Impuesto Especial sobre Producción y Servicios)"""

    FRACCION_SIN_PUNTO: Optional[str] = Field(None, max_length=10)
    FRACCION_CON_PUNTO: Optional[str] = Field(None, max_length=10)
    FUNDAMENTO: Optional[str] = Field(None, max_length=1000)
    CONDICION: Optional[str] = Field(None, max_length=5000)
    TASA: Optional[str] = None
    TASAESPECIFICO: Optional[str] = None
    NICO: Optional[str] = Field("", max_length=2)
    CONSECUTIVO: int

    model_config = ConfigDict(from_attributes=True)
